> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update prompt



## OpenAPI

````yaml /openapi.yml post /v1/prompts/update
openapi: 3.0.0
info:
  title: Fluents Hosted API
  description: |2-

            Fluents' Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  version: 1.0.0
  contact:
    name: Support
    url: https://fluents.com
    email: support@fluents.ai
servers:
  - url: https://api.fluents.ai
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v1/prompts/update:
    post:
      tags:
        - Prompts
      operationId: PromptController_updatePrompt
      parameters:
        - name: id
          required: true
          in: query
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePromptDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromptDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
components:
  schemas:
    UpdatePromptDto:
      type: object
      properties:
        label:
          type: string
          example: My Prompt
        description:
          type: string
          example: This is a description
        content:
          type: string
          example: You are a helpful assistant...
        context_endpoint:
          type: string
          example: https://api.example.com/context
        collect_fields:
          deprecated: true
          type: array
          items:
            type: string
        type:
          enum:
            - prompt
            - block
          type: string
          example: prompt
        tags:
          example:
            - tag1
            - tag2
          type: array
          items:
            type: string
        prompt_template:
          deprecated: true
          allOf:
            - $ref: '#/components/schemas/PromptTemplateDto'
    PromptDto:
      type: object
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        user_id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        label:
          type: string
          example: My Prompt
        description:
          type: string
          example: This is a description
        content:
          type: string
          example: You are a helpful assistant...
        context_endpoint:
          type: string
          example: https://api.example.com/context
        collect_fields:
          deprecated: true
          type: array
          items:
            type: string
        type:
          enum:
            - prompt
            - block
          type: string
          example: prompt
        tags:
          example:
            - tag1
            - tag2
          type: array
          items:
            type: string
        prompt_template:
          deprecated: true
          allOf:
            - $ref: '#/components/schemas/PromptTemplateDto'
      required:
        - id
        - user_id
    BadRequestError:
      type: object
      properties:
        message:
          type: string
        error:
          type: string
        statusCode:
          type: number
          example: 400
      required:
        - message
        - error
        - statusCode
    NotFoundError:
      type: object
      properties:
        message:
          type: string
        error:
          type: string
        statusCode:
          type: number
          example: 404
      required:
        - message
        - error
        - statusCode
    PromptTemplateDto:
      type: object
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        user_id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        required_context_keys:
          example:
            - tag1
            - tag2
          type: array
          items:
            type: string
        label:
          type: string
          example: My Prompt
      required:
        - id
        - user_id
        - required_context_keys
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````